Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1885246 - cluster-monitoring-operator: Logging is broken due to mix of k8s.io/klog v1 and v2
Summary: cluster-monitoring-operator: Logging is broken due to mix of k8s.io/klog v1 a...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.7.0
Assignee: Sergiusz Urbaniak
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-05 13:44 UTC by Sergiusz Urbaniak
Modified: 2021-02-24 15:23 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:23:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 968 0 None closed Bug 1885246: pkg/*: use k8s.io/klog/v2 2021-01-18 09:08:49 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:23:35 UTC

Description Sergiusz Urbaniak 2020-10-05 13:44:48 UTC
This bug was initially created as a copy of Bug #1883461

I am copying this bug because: 



k8s.io/klog moved to v2 in client-go and frieds. The operator does not use v2 yet and hence, we lose one half of the logging output (v2).

Comment 5 Junqi Zhao 2020-11-05 02:52:55 UTC
tested with 4.7.0-0.nightly-2020-11-05-010603, klog version for cluster-monitoring-operator is k8s.io/klog/v2

Comment 9 errata-xmlrpc 2021-02-24 15:23:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.